<div fxFlex fxLayout="column" fxLayoutGap="10px" style="height: 100vh;">
  <div class="loading-shade" *ngIf="isLoadingResults">
    <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
  </div>
  <div fxLayout="row wrap" fxLayoutAlign="center center">
    <div
      fxFlex="100"
      fxFlex.md="100"
      fxFlex.sm="100"
      fxFlex.xs="100"
      fxLayout="column"
      style="padding: 5px;">

      <mat-card>
        <mat-card-title>Consulta de Membros</mat-card-title>
        <mat-card-content>
          <div style="width: 100%;">
            <button mat-button *ngIf="hasAccessAdm()" routerLink="/incluir_membro" class="primary" style="text-align: right;">Novo Membro</button>  
          </div>

          <mat-form-field>
            <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Insira aqui os critérios de pesquisa">
          </mat-form-field>

          <table mat-table [dataSource]="membros" matSort class="mat-elevation-z8">

              <ng-container matColumnDef="numero" sticky>
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Número </th>
                <td mat-cell *matCellDef="let element"> {{element.membroId}} </td>
              </ng-container>

            <ng-container matColumnDef="nome" sticky>
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Nome </th>
              <td mat-cell *matCellDef="let element"> {{element.nome}} </td>
            </ng-container>

            <ng-container matColumnDef="email">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> E-mail </th>
              <td mat-cell *matCellDef="let element"> {{element.email}} </td>
            </ng-container>

            <ng-container matColumnDef="telefone">
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Telefone </th>
              <td mat-cell *matCellDef="let element">
                  {{element.telefone | fone }}
              </td>
            </ng-container>
            
            <ng-container matColumnDef="situacaoMembro" stickyEnd>
              <th mat-header-cell *matHeaderCellDef mat-sort-header> Situação Membro </th>
              <td mat-cell *matCellDef="let element"> {{element.situacaoMembro}} </td>
            </ng-container>

            <ng-container matColumnDef="acoes">
              <th mat-header-cell *matHeaderCellDef> Ações </th>
              <td mat-cell *matCellDef="let element">
                <mat-icon [routerLink]="['/detalhar_membro', element.membroId]" class="icon-link" data-toggle="tooltip" data-placement="top" title="Detalhar unidade">dehaze</mat-icon>
                <mat-icon *ngIf="hasAccessAdm()" [routerLink]="['/editar_membro', element.membroId]" class="icon-link" data-toggle="tooltip" data-placement="top" title="Alterar membro">edit</mat-icon>
                <mat-icon *ngIf="hasAccessAdm()" (click)="openDialog(element)" class="icon-link" data-toggle="tooltip" data-placement="top" title="Excluir unidade" data-toggle="modal" data-target="#exampleModal">delete</mat-icon>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true;"></tr>
            <tr mat-row *matRowDef="let row; let even = even; columns: displayedColumns;" [ngClass]="{gray: even}"></tr>
          </table>

          <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
        </mat-card-content>

      </mat-card>

    </div>
  </div>
</div>